param I; # number of fabs
param J; # number of items
param K; # number of k orders

param R{k in 1..K}; # Revenue from order k if it's completed
param H{i in 1..I, j in 1..J}; # the production rate that fab i produces item j
param Q{k in 1..K, j in 1..J}; # the demand quantity of item j in order k
param C{i in 1..I}; # the capacity of fab i

var x{i in 1..I, j in 1..J, k in 1..K}; # the machine hours that fab i produce item j for order ks
var y{k in 1..K} binary; # whether the order k is completed

maximize Sale:sum{k in 1..K}(R[k]*y[k]);

subject to Capacity{i in 1..I}: sum{j in 1..J, k in 1..K}x[i,j,k] <= C[i];  # Capacity Constraint
subject to OrderFullfill{j in 1..J, k in 1..K}: sum{i in 1..I}(x[i,j,k]*H[i,j]) >= Q[k,j]*y[k];  # Order Fullfillment

subject to nonneg{i in 1..I, j in 1..J, k in 1..K}: x[i,j,k]>=0;






